Atom feed of this document
 

 4.1.3. Get User by ID

VerbURIDescription
GETv2.0/users/{userId} Return detailed information about a specific user, by user ID.

Normal Response Code(s): 200, 203

Error Response Code(s): identityFault (400, 500, ), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)

This request returns identifying information about the user with the specified user name. Identifying information includes the user's email account, username, user ID, status, and default region.

Default region, indicated by defaultRegion, associates this user with a specific regional datacenter: typical values include DFW, ORD and LON. A blank value is also acceptable, indicating that no default region has been assigned for this user. If a default region has been assigned for this user and a service in this user's service catalog is available in multiple regions, the user will obtain the service from the region specified by defaultRegion. You can see examples of services available in multiple regions in the "General API Information" chapter's "Sample Authentication Request and Response" section.

When a user creates a new cloud server via the Cloud Control Panel, the region specified by defaultRegion is visible on the control panel but the region cannot currently be changed there. To change the association of a user with a default region, use Update Users as you would to change any other descriptive information about the user.

In the examples below, defaultRegion is specified as DFW: when this user has a choice between consuming a service in the DFW region and consuming the same service in any other region, the user will consume the service in DFW.

Table 4.3. Get User by ID Request Parameters
NameStyleTypeDescription
X-Auth-TokenHeader​String

Arbitrary character string generated by the authentication service in response to valid credentials.

The X-Auth-Token header should always be supplied.

userIdTemplate​String

This operation does not require a request body.

 

Example 4.5. Get User by ID Response: XML

<?xml version="1.0" encoding="UTF-8"?>
<user xmlns="http://docs.openstack.org/identity/api/v2.0" 
      xmlns:ns2="http://docs.openstack.org/identity/api/ext/OS-KSADM/v1.0" 
      xmlns:rax-auth="http://docs.rackspace.com/identity/api/ext/RAX-AUTH/v1.0" 
      id="123456" username="jqsmith" 
      enabled="true" 
      email="john.smith@example.org"
      rax-auth:defaultRegion="DFW">
</user>

 

Example 4.6. Get User by ID Response: JSON

{
  "user": {
    "RAX-AUTH:defaultRegion": "DFW"
    "id": "123456",
    "username": "jqsmith",
    "email": "john.smith@example.org",
    "enabled": true
  }
}